cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/{eventId} \
--header 'x-api-key: <api-key>'{
"eventId": "<string>",
"isActive": true,
"isLive": true,
"category": "<string>",
"subcategory": "<string>",
"volumeUsd": "<string>",
"closeCondition": "<string>",
"beginAt": "<string>",
"rulesPdf": "<string>",
"tags": [
"<string>"
],
"metadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"markets": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
]
}Events
Get Event
Get detailed information about a specific event
GET
/
events
/
{eventId}
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/{eventId} \
--header 'x-api-key: <api-key>'{
"eventId": "<string>",
"isActive": true,
"isLive": true,
"category": "<string>",
"subcategory": "<string>",
"volumeUsd": "<string>",
"closeCondition": "<string>",
"beginAt": "<string>",
"rulesPdf": "<string>",
"tags": [
"<string>"
],
"metadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"markets": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Event identifier
Minimum string length:
1Query Parameters
Response
Event data
Application-level identifier
Whether the event is active (listed on events)
Whether the event is currently live
The category for the event, allowed values: all, crypto, sports, politics, esports, culture, economics, tech
The subcategory for the event
Total volume for the event
Close condition for the event
Unix timestamp (seconds) when the event begins
Document to full rules for the event
Tags associated with the event
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
